From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 27 Dec 2023 14:17:46 +0100
Subject: Remove code using tweepy

tweepy has been removed from Debian Unstable because the associated
service doesn't exist anymore.
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1056614
---
 README.md           |  3 +--
 core/repl_prompt.py |  2 +-
 plugins/Username.py | 33 ---------------------------------
 setup.py            |  2 +-
 4 files changed, 3 insertions(+), 37 deletions(-)

diff --git a/README.md b/README.md
index 6f4ccd3..7fcce4d 100644
--- a/README.md
+++ b/README.md
@@ -222,12 +222,11 @@ IPADDRESS (Eg:192.168.1.1) >>
 
 **11. USERNAME**
 
-This option allows you to gathers account information of the provided username from social media like Instagram, Twitter, Facebook.
+This option allows you to gathers account information of the provided username from social media like Instagram, Facebook.
 ```
 Reconspider >> 11
 
 1.Facebook
-2.Twitter
 3.Instagram
 
 Username >>
diff --git a/core/repl_prompt.py b/core/repl_prompt.py
index d799fc1..518c174 100644
--- a/core/repl_prompt.py
+++ b/core/repl_prompt.py
@@ -113,7 +113,7 @@ def repl():  # Read–eval–print loop
 
         elif choice == 11:
             while 1:
-                print("\n1.Facebook \n2.Twitter \n3.Instagram\n")
+                print("\n1.Facebook \n3.Instagram\n")
                 username = input("Username >> ")
                 choice = input("choice >> ")
                 break
diff --git a/plugins/Username.py b/plugins/Username.py
index 9232efc..197bd3c 100644
--- a/plugins/Username.py
+++ b/plugins/Username.py
@@ -1,15 +1,11 @@
 import requests
 from bs4 import BeautifulSoup
-import tweepy
 
 out=[]
 
 def user(choice,username):
     if choice == '1':
         pass
-    elif choice == '2':
-        ScrapTweets(username)
-        return()
     elif choice == '3':
         Instagram(username)
         return()
@@ -106,32 +102,3 @@ def Instagram(username):
     else:
         print("Error: Something Went Wrong")
 
-def ScrapTweets(username):
-    auth = tweepy.OAuthHandler("f0rCnr7Tln5EnIqiD6JcuMIJ8", "DmwOASEbukzltfyZx66KQGbguORJkEqpZdGMNvbiefJoIeYvWl")
-    auth.set_access_token("884691164900737025-nTLY2Z4KVMX4IS294Ap43hPxmDZrXSW", "oDo8dV8RgPaJpa6ifYFgp5F0K7huAb1rIhhUSl2p2ewxA")
-    api = tweepy.API(auth)
-    screen_name = username
-    user = api.get_user(screen_name)
-    
-
-    try:
-       print("Full Name of the User is : " + user.screen_name)
-    except Exception as e:
-       print("User Name -->"+" Not Found" + str(e))
-    print()
-
-    try:
-      ID = user.id_str
-      print("The ID of the user is : " + ID)
-    except Exception as e:
-      print("User Id--> "+"Not Found" + str(e))
-    print()
-    
-    for friend in api.friends(screen_name):
-      print(friend.screen_name)
-
-    description = api.blocks_ids(screen_name)
-    print("This User is blocked by : " + str(description))
-
-
-
diff --git a/setup.py b/setup.py
index a83b0e0..66a8ca7 100644
--- a/setup.py
+++ b/setup.py
@@ -34,7 +34,7 @@ setup(
     author="BhavKaran (bhavsec.com)",
     author_email="bhavsec@gmail.com",
     license="GPL-3.0",
-    install_requires=["shodan", "requests", "prompt_toolkit","wget","beautifulsoup4","click","urllib3","IP2proxy","wget","paramiko","h8mail","nmap","pythonping","whois","gmplot","pillow","lxml","tweepy"],
+    install_requires=["shodan", "requests", "prompt_toolkit","wget","beautifulsoup4","click","urllib3","IP2proxy","wget","paramiko","h8mail","nmap","pythonping","whois","gmplot","pillow","lxml"],
 #    console=["reconspider.py"],
     packages = find_packages(),
     include=["core", "plugins"],
